Bug 218947 - [HeapWalker] InstancesListControllerUI is held in memory via clipboard
[HeapWalker] InstancesListControllerUI is held in memory via clipboard
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
http://netbeans.org/projects/profiler...
: PERFORMANCE, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 07:53 UTC by Tomas Hurka
Modified: 2013-07-04 07:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-09-25 07:53:04 UTC
Steps
1) open heap dump
2) open instances view
3) right-click on the instance and select "Copy ID"
4) close heap dump
5) InstancesListControllerUI is held in memory
Comment 1 Tomas Hurka 2012-09-25 14:16:01 UTC
Fixed in profiler-main

changeset:   234184:afbe30648676
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Sep 25 16:10:23 2012 +0200
summary:     bugfix #218947, get rid of anonymous class - it references enclosing InstancesListControllerUI instance
Comment 2 Quality Engineering 2012-10-01 12:09:07 UTC
Integrated into 'main-golden', will be available in build *201210010929* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/afbe30648676
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #218947, get rid of anonymous class - it references enclosing InstancesListControllerUI instance


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo